Delete Member

Delete Member

Grouper Web Services

Description

Delete member will delete or replace the membership of a group.  This affects only direct memberships, not indirect memberships.  If the user is in an indirect membership, this is still a success

Features

  • Can unassign membership to a "field"  or "list", this is a custom type of membership to the group

  • Lookup subjects by subject lookup (by id, source, identifier, etc)

  • Lookup groups by group lookup (by name or uuid)

  • Returns group / subject information, can be detailed or not

  • Can actAs another user

Delete member Lite service

  • Accepts one group and one member to delete direct membership to group

  • Documentation: SOAP (click on deleteMemberLite), REST (click on deleteMemberLite)

  • For REST, the request can put data in query string (in URL or request body)

  • REST request (colon is escaped to %3A): DELETE /grouper-ws/servicesRest/v1_3_000/groups/aStem%3AaGroup/members/10021368

    • Note: if passing data in request body e.g. actAs, use a POST

  • (see documentation above for details): Request object, response object

  • Response codes

  • Samples (all files with "Lite" in them, click on "download" to see file)

Delete member service

  • Accepts one group and many members to delete direct membership to group

  • Can either delete multiple members to a group, or can replace all existing members

  • Can operate in one transaction, or can let each membership delete in its own separate unit

  • Documentation: SOAP (click on deleteMember), REST (click on deleteMember)

  • REST request (colon is escaped to %3A): POST /grouper-ws/servicesRest/v1_3_000/groups/aStem%3AaGroup/members

  • (see documentation above for details): Request object, response object

  • Response codes overall, response codes for each assignment

  • Returns an overall status, and a status for each assignment

  • Samples (all files without "Lite" in them, click on "download" to see files)